# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PHP_EXT_NAME="gmagick"
PHP_EXT_INI="yes"
PHP_EXT_ZENDEXT="no"
DOCS="TODO"

PHP_EXT_PECL_FILENAME="${PN/pecl-/}-${PV/_rc/RC}.tgz"
USE_PHP="php7-0 php7-1"

inherit php-ext-pecl-r3

KEYWORDS="amd64 x86"

DESCRIPTION="PHP wrapper for the GraphicsMagick library."
LICENSE="PHP-3.01"
SLOT="7"
IUSE="examples"

DEPEND=">=media-gfx/graphicsmagick-1.3.17"
RDEPEND="${DEPEND}"


src_configure() {
	my_conf="--with-gmagick=/usr"
	php-ext-source-r3_src_configure
}
